# libmikmod rpm specification file
Summary: A MOD music file player
Name: mikmod
Version: 3.1.6
Release: 13m
License: GPL
Group: Applications/Multimedia
URL: http://www.mikmod.org/
Source0: http://www.mikmod.org/files/%{name}/%{name}-%{version}-a.tar.gz
Requires: ncurses
BuildPrereq: libmikmod-devel >= 3.1.7
Requires: libmikmod >= 3.1.7

Prefix: /usr
BuildRoot: %{_tmppath}/%{name}-%{version}-root
# NoSource: 0

%description
MikMod is one of the best and most well known MOD music file players for 
UNIX-like systems.  This particular distribution is intended to compile
fairly painlessly in a Linux environment. MikMod uses the OSS /dev/dsp
driver including all recent kernels for output, and will also write .wav
files. Supported file formats include MOD, STM, S3M, MTM, XM, ULT, and IT.
The player uses ncurses for console output and supports transparent
loading from gzip/pkzip/zoo archives and the loading/saving of playlists.

Install the mikmod package if you need a MOD music file player.

%prep
rm -rf %{buildroot}
%setup -q -n mikmod-%{version}-a

%build
%configure
make

%install
%makeinstall

%clean
rm -fr %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL NEWS README
%{prefix}/bin/*
%{_mandir}/man1/*

%changeLog
* Wed Mar  9 2005 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (3.1.6-13m)
- rebuild against libtermcap and ncurses

* Tue May  4 2004 Toru Hoshina <t@momonga-linux.org>
- (3.1.6-12m)
- rebuild against ncurses 5.3.

* Sun Oct 19 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (3.1.6-11m)
- put source into repository

* Mon Feb 18 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.1.6-a-10k)
- updated Source0 URL.

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Fri Dec 17 1999 Yuichiro Orino <yuu_@pop21.odn.ne.jp>
- divide libmikmod package

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Mon Aug  2 1999 Bill Nottingham <notting@redhat.com>
- add more patches

* Fri Jul 30 1999 Bill Nottingham <notting@redhat.com>
- update to 3.1.6/3.1.7

* Mon Mar 22 1999 Cristian Gafton <gafton@redhat.com>
- fixed spec file description and group according to sepcspo

* Mon Mar 22 1999 Michael Maher <mike@redhat.com>
- changed spec file, updated package
- added libmikmod to the package

* Mon Feb 15 1999 Miodrag Vallat <miodrag@multimania.com>
- Created for 3.1.5

* Tue Jan 24 1999 Michael Maher <mike@redhat.com>
- changed group
- fixed bug #145

* Fri Sep 04 1998 Michael Maher <mike@redhat.com>
- added patch for alpha

* Wed Sep 02 1998 Michael Maher <mike@redhat.com>
- built package; obsoletes the ancient tracker program.

